---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    description: Bridge marker exposes network bridges available on nodes as node
      resources
    openshift.io/required-scc: bridge-marker
    openshift.io/scc: bridge-marker
  creationTimestamp: "2025-10-29T13:20:33Z"
  generateName: bridge-marker-
  labels:
    app: bridge-marker
    app.kubernetes.io/component: network
    app.kubernetes.io/managed-by: cnao-operator
    app.kubernetes.io/part-of: hyperconverged-cluster
    app.kubernetes.io/version: 4.19.12
    controller-revision-hash: 5c65f99f5
    name: bridge-marker
    pod-template-generation: "3"
    prometheus.cnao.io: "true"
    tier: node
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:description: {}
          f:openshift.io/required-scc: {}
        f:generateName: {}
        f:labels:
          .: {}
          f:app: {}
          f:app.kubernetes.io/component: {}
          f:app.kubernetes.io/managed-by: {}
          f:app.kubernetes.io/part-of: {}
          f:app.kubernetes.io/version: {}
          f:controller-revision-hash: {}
          f:name: {}
          f:pod-template-generation: {}
          f:prometheus.cnao.io: {}
          f:tier: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"2733b05c-cc33-4e30-bdea-fdb39917ae92"}: {}
      f:spec:
        f:affinity:
          .: {}
          f:nodeAffinity:
            .: {}
            f:requiredDuringSchedulingIgnoredDuringExecution: {}
        f:containers:
          k:{"name":"bridge-marker"}:
            .: {}
            f:args: {}
            f:env:
              .: {}
              k:{"name":"NODE_NAME"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:hostNetwork: {}
        f:nodeSelector: {}
        f:priorityClassName: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
    manager: kube-controller-manager
    operation: Update
    time: "2025-10-29T13:20:33Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"PodReadyToStartContainers"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:hostIPs: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.46.248.41"}:
            .: {}
            f:ip: {}
          k:{"ip":"2620:52:0:2ef8::29"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    subresource: status
    time: "2025-10-29T13:20:34Z"
  name: bridge-marker-n52jp
  namespace: openshift-cnv
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: DaemonSet
    name: bridge-marker
    uid: 2733b05c-cc33-4e30-bdea-fdb39917ae92
  resourceVersion: "2228168"
  uid: f381a927-97bc-4b4d-9f43-75771f2a9d45
spec:
  affinity:
    nodeAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
        nodeSelectorTerms:
        - matchFields:
          - key: metadata.name
            operator: In
            values:
            - cnvqe-070.lab.eng.tlv2.redhat.com
  containers:
  - args:
    - -node-name
    - $(NODE_NAME)
    env:
    - name: NODE_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: spec.nodeName
    image: registry.redhat.io/container-native-virtualization/bridge-marker-rhel9@sha256:2cb346c67d113b90beeb560b2ea38da184ad9172baa74b193d87cf9e4c9fe5e1
    imagePullPolicy: IfNotPresent
    name: bridge-marker
    resources:
      requests:
        cpu: 10m
        memory: 15Mi
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeMounts:
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-x4zpj
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  hostNetwork: true
  nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
  nodeSelector:
    kubernetes.io/os: linux
  preemptionPolicy: PreemptLowerPriority
  priority: 2000001000
  priorityClassName: system-node-critical
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext: {}
  serviceAccount: bridge-marker
  serviceAccountName: bridge-marker
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoSchedule
    key: node.kubernetes.io/unschedulable
    operator: Exists
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/disk-pressure
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/pid-pressure
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/network-unavailable
    operator: Exists
  volumes:
  - name: kube-api-access-x4zpj
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-10-29T13:20:34Z"
    status: "True"
    type: PodReadyToStartContainers
  - lastProbeTime: null
    lastTransitionTime: "2025-10-29T13:20:33Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2025-10-29T13:20:34Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2025-10-29T13:20:34Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2025-10-29T13:20:33Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://890d841877e6d70ecdb9289f0d51ada44fa01ac3fb1aa18130487131d99bac72
    image: registry.redhat.io/container-native-virtualization/bridge-marker-rhel9@sha256:2cb346c67d113b90beeb560b2ea38da184ad9172baa74b193d87cf9e4c9fe5e1
    imageID: registry.redhat.io/container-native-virtualization/bridge-marker-rhel9@sha256:2cb346c67d113b90beeb560b2ea38da184ad9172baa74b193d87cf9e4c9fe5e1
    lastState: {}
    name: bridge-marker
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2025-10-29T13:20:33Z"
    volumeMounts:
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-x4zpj
      readOnly: true
      recursiveReadOnly: Disabled
  hostIP: 10.46.248.41
  hostIPs:
  - ip: 10.46.248.41
  - ip: 2620:52:0:2ef8::29
  phase: Running
  podIP: 10.46.248.41
  podIPs:
  - ip: 10.46.248.41
  - ip: 2620:52:0:2ef8::29
  qosClass: Burstable
  startTime: "2025-10-29T13:20:33Z"
